import { BaseMock } from 'typescript-helper-functions';
/**
 * APIGateway Mock class
 */
export declare class APIGatewayMock extends BaseMock {
    /**
     * Mocks an AWS.APIGateway.ApiKey response
     */
    ApiKey: AWS.APIGateway.ApiKey;
    /**
     * Mocks an AWS.APIGateway.DeleteApiKey response
     * Technically does not exist
     */
    DeleteApiKey: object;
    /**
     * Mocks an AWS.APIGateway.DeleteUsagePlan response
     * Technically does not exist
     */
    DeleteUsagePlan: object;
    /**
     * Mocks an AWS.APIGateway.DeleteUsagePlanKey response
     * Technically does not exist
     */
    DeleteUsagePlanKey: object;
    /**
     * Mocks an AWS.APIGateway.UsagePlan response
     */
    UsagePlan: AWS.APIGateway.UsagePlan;
    /**
     * Mocks an AWS.APIGateway.UsagePlanKey response
     */
    UsagePlanKey: AWS.APIGateway.UsagePlanKey;
    /**
     * Create the APIGateway mock
     */
    protected CreateMock(returnError: boolean): any;
}
