"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestingValues = void 0;
/**
 * Test values
 */
class TestingValues {
    constructor() {
        // descriptions
        this.AWSError = 'AWS Error';
        this.InvalidTest = 'returns error from AWS';
        this.MustSupply = 'Must supply';
        this.ThrowsOnEmpty = 'throws on empty';
        this.ValidTest = 'returns valid response from AWS';
        // empty values
        this.EmptyArray = [];
        this.EmptyObject = {};
        this.EmptyString = '';
        // strings
        this.Description = 'description';
        this.Name = 'name';
        this.Key = 'key';
        this.StringValue = 'value';
        this.UsagePlanId = 'usage-plan-id';
        // objects
        this.ApiStageArray = [{ apiId: this.StringValue }];
    }
}
exports.TestingValues = TestingValues;
//# sourceMappingURL=test-values.js.map